# Список изменений в версии 1.1.0

## Добавлено

### Функциональный интерфейс
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BPYS-23 | Функция API `/cloudapi/account/get`: добавлен атрибут `CloudapiAccountGetResultModel.description`. |
| BPYS-23 | Функция API `/cloudapi/account/list`: добавлен атрибут `CloudapiAccountListResultModel.data.description`. |
| BPYS-23 | Функция API `/cloudapi/account/listDeleted`: добавлен атрибут `CloudapiAccountListDeletedResultModel.data.description`. |
| BPYS-214 | Функция API `/cloudbroker/account/create`: добавлен параметр `description`. |
| BPYS-201 | Функция API `/cloudapi/account/update`: добавлен параметр `description`. |
| BPYS-200 | Функция API `/cloudapi/account/disable`: добавлен параметр `reason`. |
| BPYS-203 | Функция API `/cloudapi/bservice/groupAdd`: добавлен параметр `chipset`. |
| BPYS-213 | Функция API `/cloudapi/vins/list`: добавлен параметр `status`. |
| BPYS-211 | Функция API `/cloudapi/extnet/list`: добавлен параметр `ovs_bridge`. |
| BPYS-172 | Добавлены функции API `/cloudapi/lb/frontendBindDelete`, `/cloudapi/lb/frontendBindingUpdate`, `/cloudapi/lb/frontendBind`, `/cloudapi/lb/frontendCreate`, `/cloudapi/lb/frontendDelete`. |
| BPYS-25 | Функция API `/cloudapi/compute/get`: добавлен атрибут `CloudapiComputeGetResultModel.boot_loader_type`. |
| BPYS-25 | Функция API `/cloudapi/compute/get`: добавлен атрибут `CloudapiComputeGetResultModel.boot_mode`. |
| BPYS-25 | Функция API `/cloudapi/compute/get`: добавлен атрибут `CloudapiComputeGetResultModel.disks.created_by`. |
| BPYS-25 | Функция API `/cloudapi/compute/get`: добавлен атрибут `CloudapiComputeGetResultModel.disks.deleted_by`. |
| BPYS-25 | Функция API `/cloudapi/compute/get`: добавлен атрибут `CloudapiComputeGetResultModel.disks.size_available`. |
| BPYS-25 | Функция API `/cloudapi/compute/get`: добавлен атрибут `CloudapiComputeGetResultModel.hot_resize`. |
| BPYS-25 | Функция API `/cloudapi/compute/get`: добавлен атрибут `CloudapiComputeGetResultModel.network_interface_naming`. |
| BPYS-25 | Функция API `/cloudapi/compute/get`: добавлен атрибут `CloudapiComputeGetResultModel.pinned_to_stack` в связи с переименованием из `pinned`. |
| BPYS-25 | Функция API `/cloudapi/compute/get`: тип атрибута `CloudapiComputeGetResultModel.disks.present_to` изменен с `list[int] `на` dict[str, int]`. |
| BPYS-25 | Функция API `/cloudapi/compute/get`: тип атрибута `CloudapiComputeGetResultModel.disks.updated_by` изменен с `Any` на `str`. |
| BPYS-25 | Функция API `/cloudapi/compute/list`: добавлен атрибут `CloudapiComputeListResultModel.data.boot_loader_type`. |
| BPYS-25 | Функция API `/cloudapi/compute/list`: добавлен атрибут `CloudapiComputeListResultModel.data.boot_mode`. |
| BPYS-25 | Функция API `/cloudapi/compute/list`: добавлен атрибут `CloudapiComputeListResultModel.data.hot_resize`. |
| BPYS-25 | Функция API `/cloudapi/compute/list`: добавлен атрибут `CloudapiComputeListResultModel.data.network_interface_naming`. |
| BPYS-25 | Функция API `/cloudapi/compute/list`: добавлен атрибут `CloudapiComputeListResultModel.data.pinned_to_stack` в связи с переименованием из `pinned`. |
| BPYS-25 | Функция API `/cloudapi/disks/get`: добавлен атрибут `CloudapiDisksGetResultModel.created_by`. |
| BPYS-25 | Функция API `/cloudapi/disks/get`: добавлен атрибут `CloudapiDisksGetResultModel.deleted_by`. |
| BPYS-25 | Функция API `/cloudapi/disks/get`: добавлен атрибут `CloudapiDisksGetResultModel.size_available`. |
| BPYS-25 | Функция API `/cloudapi/disks/get`: тип атрибута `CloudapiDisksGetResultModel.present_to` изменен с `list[int] `на` dict[str, int]`. |
| BPYS-25 | Функция API `/cloudapi/disks/list`: добавлен атрибут `CloudapiDisksListResultModel.data.created_by`. |
| BPYS-25 | Функция API `/cloudapi/disks/list`: добавлен атрибут `CloudapiDisksListResultModel.data.deleted_by`. |
| BPYS-25 | Функция API `/cloudapi/disks/list`: добавлен атрибут `CloudapiDisksListResultModel.data.size_available`. |
| BPYS-25 | Функция API `/cloudapi/disks/list`: тип атрибута `CloudapiDisksListResultModel.data.present_to` изменен с `list[int] `на` dict[str, int]`. |
| BPYS-25 | Функция API `/cloudapi/image/create`: у параметра `boot_loader_type` в перечисляемом типе `BootLoaderType` было добавлено значение `unknown` в связи с переименованием из `other` . |
| BPYS-25 | Функция API `/cloudapi/image/get`: у атрибута `CloudapiImageGetResultModel.boot_loader_type` в перечисляемом типе `BootLoaderType` было добавлено значение `unknown` в связи с переименованием из `other` . |
| BPYS-25 | Функция API `/cloudapi/image/list`: у атрибута `CloudapiImageListResultModel.data.boot_loader_type` в перечисляемом типе `BootLoaderType` было добавлено значение `unknown` в связи с переименованием из `other` . |
| BPYS-185 | Добавлены функции API `/cloudapi/audit/get`, `/cloudapi/user/getAudit`. |
| BPYS-26 | Функция API `/cloudapi/compute/update`: добавлен параметр `boot_loader_type`. |
| BPYS-26 | Функция API `/cloudapi/compute/update`: добавлен параметр `boot_mode`. |
| BPYS-26 | Функция API `/cloudapi/compute/update`: добавлен параметр `hot_resize`. |
| BPYS-26 | Функция API `/cloudapi/compute/update`: добавлен параметр `network_interface_naming`. |
| BPYS-207 | Функция API `/cloudapi/compute/netAttach`: добавлен параметр `mac`. |
| BPYS-56 | Функция API `/cloudapi/kvmx86/create`: добавлен параметр `interfaces.mac`. |
| BPYS-56 | Функция API `/cloudapi/kvmx86/createBlank`: добавлен параметр `interfaces.mac`. |
| BPYS-204 | Функция API `/cloudapi/bservice/groupResize`: добавлено значение по умолчанию для параметра `count_change_mode`. |
| BPYS-204 | Функция API `/cloudapi/bservice/groupResize`: добавлен параметр `chipset`. |
| BPYS-202 | Функция API `/cloudapi/kvmx86/createBlank`: добавлен параметр `boot_loader_type`. |
| BPYS-202 | Функция API `/cloudapi/kvmx86/createBlank`: добавлен параметр `boot_mode`. |
| BPYS-202 | Функция API `/cloudapi/kvmx86/createBlank`: добавлен параметр `hot_resize`. |
| BPYS-202 | Функция API `/cloudapi/kvmx86/createBlank`: добавлен параметр `network_interface_naming`. |
| BPYS-153 | Функция API `/cloudapi/tasks/list`: тип параметра `status` изменен с `str` на перечисляемый тип `TaskStatus`. |
| BPYS-153 | Функция API `/cloudapi/tasks/get`: тип атрибута `CloudapiTasksGetResultModel.status` изменен с `str` на перечисляемый тип `TaskStatus`. |
| BPYS-153 | Функция API `/cloudapi/tasks/list`: тип атрибута `CloudapiTasksListResultModel.data.status` изменен с `str` на перечисляемый тип `TaskStatus`. |
| BPYS-179 | Добавлены функции API `/cloudapi/k8ci/get`, `/cloudapi/k8ci/list`, `/cloudapi/k8ci/listDeleted` . |
| BPYS-64 | Функция API `/cloudapi/disks/get`: добавлен атрибут `CloudapiDisksGetResultModel.milestones`. |
| BPYS-64 | Функция API `/cloudapi/disks/get`: добавлен атрибут `CloudapiDisksGetResultModel.vm_id`. |
| BPYS-64 | Функция API `/cloudapi/disks/get`: добавлен атрибут `CloudapiDisksGetResultModel.vm_name`. |
| BPYS-64 | Функция API `/cloudapi/disks/get`: тип атрибута `CloudapiDisksGetResultModel.updated_by` изменен на `str`. |
| BPYS-64 | Функция API `/cloudapi/disks/list`: добавлен атрибут `CloudapiDisksListResultModel.data.milestones`. |
| BPYS-64 | Функция API `/cloudapi/disks/list`: тип атрибута `CloudapiDisksListResultModel.data.updated_by` изменен на `str`. |
| BPYS-64 | Функция API `/cloudapi/disks/listDeleted`: добавлен атрибут `CloudapiDisksListDeletedResultModel.data.created_by`. |
| BPYS-64 | Функция API `/cloudapi/disks/listDeleted`: добавлен атрибут `CloudapiDisksListDeletedResultModel.data.deleted_by`. |
| BPYS-64 | Функция API `/cloudapi/disks/listDeleted`: добавлен атрибут `CloudapiDisksListDeletedResultModel.data.milestones`. |
| BPYS-64 | Функция API `/cloudapi/disks/listDeleted`: добавлен атрибут `CloudapiDisksListDeletedResultModel.data.size_available`. |
| BPYS-64 | Функция API `/cloudapi/disks/listDeleted`: тип атрибута `CloudapiDisksListDeletedResultModel.data.present_to` изменен с `list[int] `на` dict[str, int]`. |
| BPYS-64 | Функция API `/cloudapi/disks/listDeleted`: тип атрибута `CloudapiDisksListDeletedResultModel.data.updated_by` изменен на `str`. |
| BPYS-183 | Добавлены функции API `/cloudapi/vins/enable`, `/cloudapi/vins/disable`. |
| BPYS-255 | Функция API `/cloudapi/image/get`: тип атрибута `CloudapiImageGetResultModel.present_to` изменен с `list[int]` на `dict[str, int]`. |
| BPYS-257 | Функция API `/cloudapi/extnet/get`: добавлен атрибут `CloudapiExtnetGetResultModel.ntp_servers`. |
| BPYS-256 | Функция API `/cloudapi/vins/get`: тип атрибута `CloudapiVinsGetResultModel.vnfdev.config.resources.stack_id` изменен с `int` на `int \| None`. |
| BPYS-259 | Функция API `/cloudapi/bservice/get`: тип атрибута `CloudapiBserviceGetResultModel.vms.stack_id` изменен с `int` на `int \| None`. |
| BPYS-258 | Функция API `/cloudapi/stack/get`: тип атрибута `CloudapiStackGetResultModel.cpu_allocation_ratio` изменен с `float` на `float \| None`. |
| BPYS-258 | Функция API `/cloudapi/stack/get`: тип атрибута `CloudapiStackGetResultModel.mem_allocation_ratio` изменен с `float` на `float \| None`. |

## Удалено

### Функциональный интерфейс
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BPYS-47 | Функция API `/cloudapi/rg/create`: удален параметр `register_computes`. |
| BPYS-208 | Функция API `/cloudapi/disks/create`: удален параметр `grid_id`. |
| BPYS-25 | Функция API `/cloudapi/compute/get`: удален атрибут `CloudapiComputeGetResultModel.disks.order`. |
| BPYS-25 | Функция API `/cloudapi/compute/get`: удален атрибут `CloudapiComputeGetResultModel.pinned` в связи с переименованием в `pinned_to_stack`. |
| BPYS-25 | Функция API `/cloudapi/compute/get`: удален атрибут `CloudapiComputeGetResultModel.registered`. |
| BPYS-25 | Функция API `/cloudapi/compute/list`: удален атрибут `CloudapiComputeListResultModel.data.disks.bus_number`. |
| BPYS-25 | Функция API `/cloudapi/compute/list`: удален атрибут `CloudapiComputeListResultModel.data.disks.pci_slot`. |
| BPYS-25 | Функция API `/cloudapi/compute/list`: удален атрибут `CloudapiComputeListResultModel.data.pinned` в связи с переименованием в `pinned_to_stack`. |
| BPYS-25 | Функция API `/cloudapi/compute/list`: удален атрибут `CloudapiComputeListResultModel.data.registered`. |
| BPYS-25 | Функция API `/cloudapi/disks/get`: удален атрибут `CloudapiDisksGetResultModel.order`. |
| BPYS-25 | Функция API `/cloudapi/disks/list`: удален атрибут `CloudapiDisksListResultModel.data.order`. |
| BPYS-25 | Функция API `/cloudapi/image/create`: у параметра `boot_loader_type` в перечисляемом типе `BootLoaderType` было удалено значение `other` в связи с переименованием в `unknown` . |
| BPYS-25 | Функция API `/cloudapi/image/get`: у атрибута `CloudapiImageGetResultModel.boot_loader_type` в перечисляемом типе `BootLoaderType` было удалено значение `other` в связи с переименованием в `unknown` . |
| BPYS-25 | Функция API `/cloudapi/image/list`: у атрибута `CloudapiImageListResultModel.data.boot_loader_type` в перечисляемом типе `BootLoaderType` было удалено значение `other` в связи с переименованием в `unknown` . |
| BPYS-46 | Функция API `/cloudapi/rg/list`: удалён атрибут `CloudapiRgListResultModel.data.register_computes`. |
| BPYS-46 | Функция API `/cloudapi/rg/get`: удалён атрибут `CloudapiRgGetResultModel.register_computes`. |
| BPYS-53 | Функция API `/cloudapi/rg/update`: удален параметр `register_computes`. |
| BPYS-64 | Функция API `/cloudapi/disks/listDeleted`: удален атрибут `CloudapiDisksListDeletedResultModel.data.order`. |

## Исправлено

### Функциональный интерфейс
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BPYS-238 | Функция API `cloudapi/flipgroup/create`: у параметра `client_type` исправлена ошибка в значении по умолчанию. |
| BPYS-220 | Функция API `/cloudapi/compute/pfwAdd`: удалено значение по умолчанию для параметра `protocol`. |
| BPYS-239 | Функция API `cloudapi/flipgroup/create`: при вызове функции, возникала ошибка валидации атрибута `CloudapiFlipgroupCreateResultModel.ip_addr`. |
